Bug 2020759 - [abrt] dma_alloc_noncontiguous: WARNING: CPU: 0 PID: 1429 at kernel/dma/debug.c:1162 debug_dma_map_sg+0x32a/0x380
Summary: [abrt] dma_alloc_noncontiguous: WARNING: CPU: 0 PID: 1429 at kernel/dma/debug...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:31d4d17af23a4088278a89f298d...
: 2026327 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-05 19:59 UTC by Ahmed Nabil
Modified: 2022-02-21 16:37 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: dmesg (77.48 KB, text/plain)
2021-11-05 19:59 UTC, Ahmed Nabil
no flags Details

Description Ahmed Nabil 2021-11-05 19:59:53 UTC
Description of problem:
I download and installed a new version  today 5-11-2021 and after checking the updates and restarting the computer this error appeared 

Additional info:
reporter:       libreport-2.15.2
WARNING: CPU: 0 PID: 1429 at kernel/dma/debug.c:1162 debug_dma_map_sg+0x32a/0x380
Modules linked in: snd_seq_dummy snd_hrtimer nft_objref nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nf_tables nfnetlink qrtr sunrpc at24 iTCO_wdt intel_pmc_bxt iTCO_vendor_support intel_powerclamp coretemp kvm_intel uvcvideo videobuf2_vmalloc kvm videobuf2_memops ath9k videobuf2_v4l2 videobuf2_common irqbypass videodev intel_cstate ath9k_common mc ath9k_hw snd_hda_codec_hdmi snd_hda_codec_realtek intel_uncore snd_hda_codec_generic mac80211 ledtrig_audio hp_wmi joydev sparse_keymap wmi_bmof libarc4 ath platform_profile pcspkr cfg80211 snd_hda_intel i2c_i801 snd_intel_dspcfg i2c_smbus snd_intel_sdw_acpi rfkill lpc_ich snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer mei_me snd mei acpi_cpufreq soundcore zram ip_tables dm_crypt trusted asn1_encoder i915 crc32c_intel
 uas usb_storage serio_raw r8169 ttm wmi video ipmi_devintf ipmi_msghandler fuse
CPU: 0 PID: 1429 Comm: wireplumber Not tainted 5.16.0-0.rc0.20211104git7ddb58cb0eca.3.fc36.x86_64 #1
Hardware name: Hewlett-Packard HP G62 Notebook PC              /1439, BIOS F.37                  10/29/2010
RIP: 0010:debug_dma_map_sg+0x32a/0x380
Code: 24 18 48 8b 54 24 20 44 8b 44 24 28 48 89 c6 4c 8b 4c 24 30 48 c7 c7 80 f3 82 b6 4c 89 4c 24 18 4c 89 5c 24 10 e8 3a 87 c3 00 <0f> 0b 4c 8b 4c 24 18 4c 8b 5c 24 10 8b 15 c4 ad 2f 02 85 d2 0f 85
RSP: 0018:ffffb864c196fcb0 EFLAGS: 00010282
RAX: 0000000000000074 RBX: ffff92e481f850d0 RCX: 0000000000000000
RDX: 0000000000000001 RSI: ffffffffb688d9c0 RDI: 00000000ffffffff
RBP: ffff92e489104b80 R08: 0000000000000000 R09: ffffb864c196faf0
R10: ffffb864c196fae8 R11: ffffffffb7165e48 R12: 0000000000000000
R13: 0000000000000001 R14: 0000000000000001 R15: ffff92e480bfda00
FS:  00007f75ff152800(0000) GS:ffff92e4d2000000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f75f1b6f000 CR3: 000000012ca92003 CR4: 00000000000206f0
Call Trace:
 <TASK>
 dma_alloc_noncontiguous+0x8b/0x1d0
 snd_dma_noncontig_alloc+0x27/0x90 [snd_pcm]
 snd_dma_alloc_dir_pages+0x4e/0x80 [snd_pcm]
 do_alloc_pages+0x49/0x90 [snd_pcm]
 snd_pcm_lib_malloc_pages+0xe4/0x1f0 [snd_pcm]
 snd_pcm_hw_params+0x4de/0x5c0 [snd_pcm]
 ? _copy_from_user+0x65/0xa0
 snd_pcm_common_ioctl+0x1f3/0x13e0 [snd_pcm]
 ? lock_release+0x13b/0x460
 ? security_file_ioctl+0x32/0x50
 snd_pcm_ioctl+0x23/0x30 [snd_pcm]
 __x64_sys_ioctl+0x82/0xb0
 do_syscall_64+0x3b/0x90
 entry_SYSCALL_64_after_hwframe+0x44/0xae
RIP: 0033:0x7f75ff61e0db
Code: ff ff ff 85 c0 79 9b 49 c7 c4 ff ff ff ff 5b 5d 4c 89 e0 41 5c c3 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 1d 2d 0f 00 f7 d8 64 89 01 48
RSP: 002b:00007ffd4759b888 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007ffd4759ba70 RCX: 00007f75ff61e0db
RDX: 00007ffd4759ba70 RSI: 00000000c2604111 RDI: 0000000000000020
RBP: 0000560d6746fb70 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000004 R11: 0000000000000246 R12: 0000560d67414a60
R13: 00007ffd4759bce0 R14: 00007f75f0444030 R15: 00007ffd4759ba70
 </TASK>
irq event stamp: 141929
hardirqs last  enabled at (141935): [<ffffffffb51788f0>] __up_console_sem+0x60/0x70
hardirqs last disabled at (141940): [<ffffffffb51788d5>] __up_console_sem+0x45/0x70
softirqs last  enabled at (141046): [<ffffffffb50f22f7>] __irq_exit_rcu+0x107/0x170
softirqs last disabled at (141037): [<ffffffffb50f22f7>] __irq_exit_rcu+0x107/0x170

Comment 1 Ahmed Nabil 2021-11-05 19:59:59 UTC
Created attachment 1840311 [details]
File: dmesg

Comment 2 Avraham Tsaban 2021-11-07 20:17:48 UTC
Description of problem:
gui just not startted after installing fresh kernel from rawhaide

Version-Release number of selected component:
kernel-core-5.16.0-0.rc0.20211104git7ddb58cb0eca.3.fc36

Additional info:
reporter:       libreport-2.15.2
cmdline:        ro root=UUID=b5c09182-b455-4701-a5b1-13742013a6dc initrd=boot\initramfs-5.16.0-0.rc0.20211104git7ddb58cb0eca.3.fc36.x86_64.img
crash_function: dma_alloc_noncontiguous
kernel:         5.16.0-0.rc0.20211104git7ddb58cb0eca.3.fc36.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
#1 [TASK] dma_alloc_noncontiguous
#2 [TASK] snd_dma_noncontig_alloc in snd_pcm
#3 [TASK] snd_dma_alloc_dir_pages in snd_pcm
#4 [TASK] do_alloc_pages in snd_pcm
#5 [TASK] snd_pcm_lib_malloc_pages in snd_pcm
#6 [TASK] snd_pcm_hw_params in snd_pcm
#7 [TASK] ? _copy_from_user
#8 [TASK] snd_pcm_common_ioctl in snd_pcm
#9 [TASK] ? lock_release
#10 [TASK] ? security_file_ioctl

Comment 3 lnie 2021-11-17 09:36:58 UTC
Description of problem:
See this crash immediately after boot into the newly installed system

Version-Release number of selected component:
kernel-core-5.16.0-0.rc0.20211112git5833291ab6de.12.fc36

Additional info:
reporter:       libreport-2.15.2
cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.16.0-0.rc0.20211112git5833291ab6de.12.fc36.x86_64 root=UUID=a418b858-98dd-48da-95b7-e365030ca16c ro rootflags=subvol=root rhgb quiet
crash_function: dma_alloc_noncontiguous
kernel:         5.16.0-0.rc0.20211112git5833291ab6de.12.fc36.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1054 at kernel/dma/debug.c:1162 debug_dma_map_sg+0x32a/0x380
Modules linked in: snd_seq_dummy snd_hrtimer nft_objref nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 rfkill ip_set nf_tables nfnetlink qrtr sunrpc intel_rapl_msr intel_rapl_common kvm_intel kvm snd_hda_codec_generic ledtrig_audio snd_hda_intel iTCO_wdt intel_pmc_bxt snd_intel_dspcfg iTCO_vendor_support snd_intel_sdw_acpi snd_hda_codec snd_hda_core snd_hwdep snd_seq irqbypass snd_seq_device snd_pcm snd_timer joydev pcspkr i2c_i801 i2c_smbus snd soundcore lpc_ich virtio_balloon zram ip_tables crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel serio_raw qxl virtio_blk virtio_console drm_ttm_helper virtio_net net_failover failover ttm qemu_fw_cfg ipmi_devintf ipmi_msghandler fuse
CPU: 0 PID: 1054 Comm: wireplumber Not tainted 5.16.0-0.rc0.20211112git5833291ab6de.12.fc36.x86_64 #1
Hardware name: QEMU Standard PC (Q35 + ICH9, 2009), BIOS ?-20190727_073836-buildvm-ppc64le-16.ppc.fedoraproject.org-3.fc31 04/01/2014
RIP: 0010:debug_dma_map_sg+0x32a/0x380
Code: 24 18 48 8b 54 24 20 44 8b 44 24 28 48 89 c6 4c 8b 4c 24 30 48 c7 c7 80 07 83 8f 4c 89 4c 24 18 4c 89 5c 24 10 e8 92 d4 c3 00 <0f> 0b 4c 8b 4c 24 18 4c 8b 5c 24 10 8b 15 e4 b6 2f 02 85 d2 0f 85
RSP: 0018:ffff9ef68175bcb0 EFLAGS: 00010282
RAX: 0000000000000075 RBX: ffff8aa802b0b0d0 RCX: 0000000000000000
RDX: 0000000000000001 RSI: ffffffff8f88f458 RDI: 00000000ffffffff
RBP: ffff8aa83236a220 R08: 0000000000000000 R09: ffff9ef68175baf0
R10: ffff9ef68175bae8 R11: ffffffff90165e48 R12: 0000000000000000
R13: 0000000000000001 R14: 0000000000000001 R15: ffff8aa80189ee80
FS:  00007f986e8c9800(0000) GS:ffff8aa87d600000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f98612e6000 CR3: 0000000032242003 CR4: 0000000000370ef0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 <TASK>
 dma_alloc_noncontiguous+0x8b/0x1d0
 snd_dma_noncontig_alloc+0x27/0x90 [snd_pcm]
 snd_dma_alloc_dir_pages+0x4e/0x80 [snd_pcm]
 do_alloc_pages+0x49/0x90 [snd_pcm]
 snd_pcm_lib_malloc_pages+0xe4/0x1f0 [snd_pcm]
 snd_pcm_hw_params+0x4de/0x5c0 [snd_pcm]
 ? _copy_from_user+0x65/0xa0
 snd_pcm_common_ioctl+0x1f3/0x13e0 [snd_pcm]
 ? lock_release+0x13b/0x460
 ? security_file_ioctl+0x2f/0x50
 snd_pcm_ioctl+0x23/0x30 [snd_pcm]
 __x64_sys_ioctl+0x7f/0xb0
 do_syscall_64+0x38/0x90
 entry_SYSCALL_64_after_hwframe+0x44/0xae
RIP: 0033:0x7f986ed950fb
Code: ff ff ff 85 c0 79 9b 49 c7 c4 ff ff ff ff 5b 5d 4c 89 e0 41 5c c3 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d fd 2c 0f 00 f7 d8 64 89 01 48
RSP: 002b:00007fffc72dbe68 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007fffc72dbf70 RCX: 00007f986ed950fb
RDX: 00007fffc72dbf70 RSI: 00000000c2604111 RDI: 0000000000000021
RBP: 000055f0d9a47080 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000004 R11: 0000000000000246 R12: 000055f0d9a49fc0
R13: 00007fffc72dc1e0 R14: 00007f985e3600b0 R15: 00007fffc72dbf70
 </TASK>
irq event stamp: 126181
hardirqs last  enabled at (126187): [<ffffffff8e178aa0>] __up_console_sem+0x60/0x70
hardirqs last disabled at (126192): [<ffffffff8e178a85>] __up_console_sem+0x45/0x70
softirqs last  enabled at (125160): [<ffffffff8e0f2337>] __irq_exit_rcu+0x107/0x170
softirqs last disabled at (124923): [<ffffffff8e0f2337>] __irq_exit_rcu+0x107/0x170

Comment 4 Adam Williamson 2021-11-22 20:19:57 UTC
Description of problem:
Happens on clean boot and install of current Rawhide Workstation live in a typical qemu VM.

Version-Release number of selected component:
kernel-core-5.16.0-0.rc0.20211112git5833291ab6de.12.fc36

Additional info:
reporter:       libreport-2.15.2
cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.16.0-0.rc0.20211112git5833291ab6de.12.fc36.x86_64 root=UUID=d6d57078-7022-41c0-8811-f4c047261b3e ro rootflags=subvol=root rhgb quiet
crash_function: dma_alloc_noncontiguous
kernel:         5.16.0-0.rc0.20211112git5833291ab6de.12.fc36.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1079 at kernel/dma/debug.c:1162 debug_dma_map_sg+0x32a/0x380
Modules linked in: snd_seq_dummy snd_hrtimer nft_objref nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 rfkill ip_set nf_tables nfnetlink qrtr sunrpc intel_rapl_msr intel_rapl_common kvm_intel snd_hda_codec_generic ledtrig_audio snd_hda_intel snd_intel_dspcfg snd_intel_sdw_acpi snd_hda_codec snd_hda_core snd_hwdep kvm snd_seq iTCO_wdt intel_pmc_bxt iTCO_vendor_support snd_seq_device snd_pcm irqbypass rapl joydev snd_timer snd pcspkr i2c_i801 i2c_smbus soundcore lpc_ich virtio_balloon zram ip_tables crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel serio_raw virtio_console virtio_net sym53c8xx virtio_gpu virtio_blk scsi_transport_spi net_failover virtio_dma_buf failover qemu_fw_cfg ipmi_devintf ipmi_msghandler fuse
CPU: 0 PID: 1079 Comm: wireplumber Not tainted 5.16.0-0.rc0.20211112git5833291ab6de.12.fc36.x86_64 #1
Hardware name: QEMU Standard PC (Q35 + ICH9, 2009), BIOS 1.14.0-6.fc36 04/01/2014
RIP: 0010:debug_dma_map_sg+0x32a/0x380
Code: 24 18 48 8b 54 24 20 44 8b 44 24 28 48 89 c6 4c 8b 4c 24 30 48 c7 c7 80 07 83 9b 4c 89 4c 24 18 4c 89 5c 24 10 e8 92 d4 c3 00 <0f> 0b 4c 8b 4c 24 18 4c 8b 5c 24 10 8b 15 e4 b6 2f 02 85 d2 0f 85
RSP: 0018:ffffbadd026ebcb0 EFLAGS: 00010282
RAX: 0000000000000075 RBX: ffff9b1cc1b310d0 RCX: 0000000000000000
RDX: 0000000000000001 RSI: ffffffff9b88f458 RDI: 00000000ffffffff
RBP: ffff9b1ce377c940 R08: 0000000000000000 R09: ffffbadd026ebaf0
R10: ffffbadd026ebae8 R11: ffffffff9c165e48 R12: 0000000000000000
R13: 0000000000000001 R14: 0000000000000001 R15: ffff9b1cc08c9380
FS:  00007f72c2268800(0000) GS:ffff9b1d3b600000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f72b4c85000 CR3: 0000000123674005 CR4: 0000000000370ef0
Call Trace:
 <TASK>
 dma_alloc_noncontiguous+0x8b/0x1d0
 snd_dma_noncontig_alloc+0x27/0x90 [snd_pcm]
 snd_dma_alloc_dir_pages+0x4e/0x80 [snd_pcm]
 do_alloc_pages+0x49/0x90 [snd_pcm]
 snd_pcm_lib_malloc_pages+0xe4/0x1f0 [snd_pcm]
 snd_pcm_hw_params+0x4de/0x5c0 [snd_pcm]
 ? _copy_from_user+0x65/0xa0
 snd_pcm_common_ioctl+0x1f3/0x13e0 [snd_pcm]
 ? lock_release+0x13b/0x460
 ? security_file_ioctl+0x32/0x50
 snd_pcm_ioctl+0x23/0x30 [snd_pcm]
 __x64_sys_ioctl+0x82/0xb0
 do_syscall_64+0x3b/0x90
 entry_SYSCALL_64_after_hwframe+0x44/0xae
RIP: 0033:0x7f72c27341bb
Code: ff ff ff 85 c0 79 9b 49 c7 c4 ff ff ff ff 5b 5d 4c 89 e0 41 5c c3 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 3d 1c 0f 00 f7 d8 64 89 01 48
RSP: 002b:00007ffe0ce341c8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007ffe0ce342d0 RCX: 00007f72c27341bb
RDX: 00007ffe0ce342d0 RSI: 00000000c2604111 RDI: 0000000000000021
RBP: 0000559925daead0 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000004 R11: 0000000000000246 R12: 0000559925e5bb30
R13: 00007ffe0ce34540 R14: 00007f72b1ced0b0 R15: 00007ffe0ce342d0
 </TASK>
irq event stamp: 132857
hardirqs last  enabled at (132863): [<ffffffff9a178aa0>] __up_console_sem+0x60/0x70
hardirqs last disabled at (132868): [<ffffffff9a178a85>] __up_console_sem+0x45/0x70
softirqs last  enabled at (131618): [<ffffffff9a0f2337>] __irq_exit_rcu+0x107/0x170
softirqs last disabled at (131063): [<ffffffff9a0f2337>] __irq_exit_rcu+0x107/0x170

Comment 5 Adam Williamson 2021-11-22 20:22:26 UTC
Proposing as an F36 Final blocker as a violation of criterion "There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop." - this shows up as a crash notification on first boot of a default install of Workstation or KDE.

Comment 6 Bruno Porceli Alaniz 2021-11-24 11:34:09 UTC
*** Bug 2026327 has been marked as a duplicate of this bug. ***

Comment 7 Geoffrey Marr 2022-02-07 21:04:02 UTC
Discussed during the 2022-02-07 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker (Final)" was made as it violates the following criterion:

"There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop."

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2022-02-07/f36-blocker-review.2022-02-07-17.00.txt

Comment 8 Tomasz Szymanski 2022-02-13 06:15:05 UTC
Description of problem:
I really do not know how to describe this error. Simply computer is running, gnome is running. I do not see any impact on what I do with Fedora 36.

Version-Release number of selected component:
kernel-core-5.17.0-0.rc3.20220211gitf1baf68e1383.93.fc37

Additional info:
reporter:       libreport-2.16.0
cmdline:        BOOT_IMAGE=(hd1,gpt3)/vmlinuz-5.17.0-0.rc3.20220211gitf1baf68e1383.93.fc37.x86_64 root=UUID=aea32c25-71dc-4a5e-a37a-cecffdd5e97d ro rootflags=subvol=root rhgb quiet
crash_function: dma_alloc_noncontiguous
kernel:         5.17.0-0.rc3.20220211gitf1baf68e1383.93.fc37.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
#1 [TASK] dma_alloc_noncontiguous
#2 [TASK] snd_dma_noncontig_alloc in snd_pcm
#3 [TASK] snd_dma_alloc_dir_pages in snd_pcm
#4 [TASK] do_alloc_pages in snd_pcm
#5 [TASK] snd_pcm_lib_malloc_pages in snd_pcm
#6 [TASK] snd_pcm_hw_params in snd_pcm
#7 [TASK] ? _copy_from_user
#8 [TASK] snd_pcm_common_ioctl in snd_pcm
#9 [TASK] ? lock_release
#10 [TASK] ? security_file_ioctl

Comment 9 Adam Williamson 2022-02-14 20:48:55 UTC
Description of problem:
Appears within ten minutes of startup of current Rawhide Workstation live boot, and first boot of freshly installed system, in openQA testing.

Version-Release number of selected component:
kernel-core-5.17.0-0.rc3.20220211gitf1baf68e1383.93.fc37

Additional info:
reporter:       libreport-2.16.0
cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.17.0-0.rc3.20220211gitf1baf68e1383.93.fc37.x86_64 root=UUID=55d3db8e-41aa-4e83-87bc-c746bd65a12f ro rootflags=subvol=root rhgb quiet
crash_function: dma_alloc_noncontiguous
kernel:         5.17.0-0.rc3.20220211gitf1baf68e1383.93.fc37.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 997 at kernel/dma/debug.c:1162 debug_dma_map_sg+0x328/0x380
Modules linked in: snd_seq_dummy snd_hrtimer nft_objref nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 rfkill ip_set nf_tables nfnetlink qrtr sunrpc snd_hda_codec_generic ledtrig_audio ppdev snd_hda_intel snd_intel_dspcfg snd_intel_sdw_acpi snd_hda_codec joydev snd_hda_core pcspkr snd_hwdep snd_seq snd_seq_device parport_pc parport snd_pcm snd_timer i2c_piix4 snd soundcore zram crc32c_intel virtio_gpu serio_raw virtio_console virtio_blk virtio_scsi virtio_net net_failover failover virtio_dma_buf ata_generic pata_acpi qemu_fw_cfg ipmi_devintf ipmi_msghandler fuse
CPU: 0 PID: 997 Comm: wireplumber Not tainted 5.17.0-0.rc3.20220211gitf1baf68e1383.93.fc37.x86_64 #1
Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.14.0-6.fc35 04/01/2014
RIP: 0010:debug_dma_map_sg+0x328/0x380
Code: 4c 24 10 8b 4c 24 18 48 8b 54 24 20 48 89 c6 44 8b 44 24 2c 48 c7 c7 c0 eb 83 90 4c 89 4c 24 10 4c 89 5c 24 08 e8 29 e5 c5 00 <0f> 0b 4c 8b 4c 24 10 4c 8b 5c 24 08 8b 15 26 2d 30 02 85 d2 0f 85
RSP: 0018:ffff98cd41e4bcc0 EFLAGS: 00010282
RAX: 0000000000000075 RBX: ffff8d66c2ae30d0 RCX: 0000000000000000
RDX: 0000000000000001 RSI: ffffffff9089f028 RDI: 00000000ffffffff
RBP: ffff8d66f6f84a00 R08: 0000000000000000 R09: ffff98cd41e4baf8
R10: ffff98cd41e4baf0 R11: ffffffff91165128 R12: 0000000000000000
R13: 0000000000000001 R14: 0000000000000001 R15: ffff8d66c18a8d00
FS:  00007f7e25ccc800(0000) GS:ffff8d673d600000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f7e265ee000 CR3: 000000002e614000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 <TASK>
 dma_alloc_noncontiguous+0x154/0x1b0
 snd_dma_noncontig_alloc+0x23/0x70 [snd_pcm]
 snd_dma_alloc_dir_pages+0x50/0x80 [snd_pcm]
 do_alloc_pages+0x49/0x90 [snd_pcm]
 snd_pcm_lib_malloc_pages+0xe9/0x1d0 [snd_pcm]
 snd_pcm_hw_params+0x4dd/0x5c0 [snd_pcm]
 ? _copy_from_user+0x63/0xa0
 snd_pcm_common_ioctl+0x1eb/0x1300 [snd_pcm]
 ? lock_release+0x13b/0x460
 ? security_file_ioctl+0x3c/0x50
 snd_pcm_ioctl+0x23/0x30 [snd_pcm]
 __x64_sys_ioctl+0x8c/0xc0
 do_syscall_64+0x3a/0x80
 entry_SYSCALL_64_after_hwframe+0x44/0xae
RIP: 0033:0x7f7e261a3b5f
Code: 00 48 89 44 24 18 31 c0 48 8d 44 24 60 c7 04 24 10 00 00 00 48 89 44 24 08 48 8d 44 24 20 48 89 44 24 10 b8 10 00 00 00 0f 05 <89> c2 3d 00 f0 ff ff 77 18 48 8b 44 24 18 64 48 2b 04 25 28 00 00
RSP: 002b:00007ffdd8c0e400 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007ffdd8c0e550 RCX: 00007f7e261a3b5f
RDX: 00007ffdd8c0e550 RSI: 00000000c2604111 RDI: 0000000000000021
RBP: 00007f7e27d74500 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000004 R11: 0000000000000246 R12: 00007f7e27ce0d90
R13: 00007ffdd8c0e7c0 R14: 00007ffdd8c0eda0 R15: 00007ffdd8c0e550
 </TASK>
irq event stamp: 122111
hardirqs last  enabled at (122117): [<ffffffff8f178880>] __up_console_sem+0x60/0x70
hardirqs last disabled at (122122): [<ffffffff8f178865>] __up_console_sem+0x45/0x70
softirqs last  enabled at (121518): [<ffffffff8f0f1703>] __irq_exit_rcu+0xf3/0x170
softirqs last disabled at (121511): [<ffffffff8f0f1703>] __irq_exit_rcu+0xf3/0x170

Comment 10 Adam Williamson 2022-02-14 21:27:23 UTC
At Justin's suggestion I cross-compared records of when the openQA test passes or fails with kernel package changes in Rawhide. It looks like this bug happens when Rawhide has a debug kernel, but doesn't happen when it's on a non-debug kernel. So, seems like this oops is only raised on debug kernels.

On that basis I'm withdrawing the blocker status/nomination since we would not ship a debug kernel to a stable release, we only ship them on pre-releases, so this doesn't need to block a release. It'd still be nice to have it fixed, though.

Comment 11 Chris Murphy 2022-02-15 02:49:40 UTC
Ahh ok I think this is a dup of bug 2054466 and I did file an upstream bug, they're looking into it.

Comment 12 Adam Williamson 2022-02-15 17:52:52 UTC
you mean 2054466 is a dupe of this? Since this is 30,000 bugs older...:D

Comment 13 Chris Murphy 2022-02-16 03:29:13 UTC
Well I shopped it upstream and got someone's attention and patches :D But also, the warnings aren't identical between the two bugs:

This one:
WARNING: CPU: 0 PID: 997 at kernel/dma/debug.c:1162 debug_dma_map_sg+0x328/0x380

bug 2054466
[   15.267615] DMA-API: sof-audio-pci-intel-cnl 0000:00:1f.3: mapping sg segment longer than device claims to support [len=540672] [max=65536]
[   15.269962] WARNING: CPU: 0 PID: 5 at kernel/dma/debug.c:1162 debug_dma_map_sg+0x328/0x380

Based on https://github.com/thesofproject/linux/issues/3430#issuecomment-1039942123 it sounds like the issue is in the two drivers I reported, not in dma/debug.c - I can't tell what's triggering the problem in this bug report because it doesn't have a line preceding the warning. I'm not sure why. Maybe if folks can retest with 5.17.0-rc4+debug maybe there'd be more to go on?

Comment 14 Chris Murphy 2022-02-16 03:35:59 UTC
OK from the attached dmesg there is a line preceding the warning:

[   68.725381] DMA-API: snd_hda_intel 0000:00:1b.0: mapping sg segment longer than device claims to support [len=73728] [max=65536]

That is the legacy driver, per the upstream bug. And the problem happens in both snd_hda_intel and the newer sof-audio-pci-intel-cnl driver reported in bug 2054466. Both drivers are being fixed, and in effect the two bugs are the same.

Comment 15 Geoffrey Marr 2022-02-21 16:34:46 UTC
The decision to classify this bug as a "RejectedBlocker (Final)" was made based off votes here: [0]

[0] https://pagure.io/fedora-qa/blocker-review/issue/580


Note You need to log in before you can comment on or make changes to this bug.